Bug 1917364 - python-ddt: FTBFS in Fedora rawhide
Summary: python-ddt: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ddt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-18 10:56 UTC by Tomáš Hrnčiar
Modified: 2021-02-05 02:15 UTC (History)
3 users (show)

Fixed In Version: python-ddt-1.4.1-5.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-05 02:15:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-18 10:56:22 UTC
Description of problem:
Package python-ddt fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
1.4.1-3.fc34

Steps to Reproduce:
koji build --scratch f34 python-ddt-1.4.1-3.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-ddt

==================================== ERRORS ====================================
____________________ ERROR collecting test/test_example.py _____________________
test/test_example.py:153: in <module>
    class YamlOnlyTestCase(unittest.TestCase):
ddt.py:372: in ddt
    return wrapper(arg) if inspect.isclass(arg) else wrapper
ddt.py:366: in wrapper
    process_file_data(cls, name, func, file_attr)
ddt.py:254: in process_file_data
    data = yaml.load(f, Loader=yaml_loader)
/usr/lib64/python3.10/site-packages/yaml/__init__.py:114: in load
    return loader.get_single_data()
/usr/lib64/python3.10/site-packages/yaml/constructor.py:51: in get_single_data
    return self.construct_document(node)
/usr/lib64/python3.10/site-packages/yaml/constructor.py:60: in construct_document
    for dummy in generator:
/usr/lib64/python3.10/site-packages/yaml/constructor.py:413: in construct_yaml_map
    value = self.construct_mapping(node)
/usr/lib64/python3.10/site-packages/yaml/constructor.py:218: in construct_mapping
    return super().construct_mapping(node, deep=deep)
/usr/lib64/python3.10/site-packages/yaml/constructor.py:143: in construct_mapping
    value = self.construct_object(value_node, deep=deep)
/usr/lib64/python3.10/site-packages/yaml/constructor.py:100: in construct_object
    data = constructor(self, node)
/usr/lib64/python3.10/site-packages/yaml/constructor.py:427: in construct_undefined
    raise ConstructorError(None, None,
E   yaml.constructor.ConstructorError: could not determine a constructor for the tag 'tag:yaml.org,2002:python/object:test.test_example.MyClass'
E     in "/builddir/build/BUILD/ddt-1.4.1/test/data/test_custom_yaml_loader.yaml", line 36, column 13

Comment 1 Fedora Release Engineering 2021-01-24 04:22:58 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.